//
//
// Test for light control output
// 
//

#include <avr/io.h>
#include <util/delay.h>
#include <avr/pgmspace.h>



#define bton_port PORTA
#define led_port PORTA
#define led_direction DDRA
#define button_pins PINA
#define button_pin_in (1 << PA7)
#define led1_pin_out (1 << PA0)
#define led2_pin_out (1 << PA1)
#define led3_pin_out (1 << PA2)

#define max_buffer 25


uint16_t blink_delay=600;


// Define long delay function
void long_delay_ms(uint16_t ms) {
    for(ms /= 10; ms>0; ms--) _delay_ms(10);
}


int main(void) {
   //
   // main
   //
   //
   // set clock divider to /1
   //
   CLKPR = (1 << CLKPCE);
   CLKPR = (0 << CLKPS3) | (0 << CLKPS2) | (0 << CLKPS1) | (0 << CLKPS0);
   //
   // initialize  pin s
   //
   DDRA |=led1_pin_out;//led out
   DDRA |=led2_pin_out;
   DDRA |=led3_pin_out;
   
 
   

   //
   // main loop
   while (1) {
    		
              PORTA |= led1_pin_out; // Turn LED1 on
               long_delay_ms(blink_delay);
              PORTA &= ~led1_pin_out; // Turn LED1 off
                long_delay_ms(blink_delay);
               PORTA |= led2_pin_out; // Turn LED2 on
               long_delay_ms(blink_delay);
                PORTA &= ~led2_pin_out; // Turn LED2 off
                long_delay_ms(blink_delay);
                PORTA |= led3_pin_out; // Turn LED3 on
                long_delay_ms(blink_delay);
               PORTA &= ~led3_pin_out; // Turn LED1 off
                long_delay_ms(blink_delay);
			
		}
   }
